<div style="padding: 24px">
  <h1 mat-dialog-title>Please enter the reason below</h1>
  <div mat-dialog-content>
    <p></p>
    <mat-form-field>
      <mat-label>Reason</mat-label>
      <textarea matInput type="text" [(ngModel)]="data.reason"></textarea>
    </mat-form-field>
  </div>
  <div mat-dialog-actions>
    <button mat-button (click)="onNoClick()">No Thanks</button>
    <button mat-button [mat-dialog-close]="data.reason" cdkFocusInitial>Submit</button>
  </div>
</div>